Bug 820494 - moodle - cannot setup authentification - wrong module cas
moodle - cannot setup authentification - wrong module cas
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: moodle (Show other bugs)
el6
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
: 1023365 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 03:32 EDT by Ludwin Janvier
Modified: 2016-06-04 08:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: moodle-2.6.11-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-24 05:55:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ludwin Janvier 2012-05-10 03:32:26 EDT
Description of problem:
Trying to set up LDAP authentification, I get the error message :
Authentication plugin cas not found.

I installed mod_cas and mod_ssl in apache

Version-Release number of selected component (if applicable):
Name        : moodle
Arch        : noarch
Version     : 2.1.4
Release     : 1.el6

Name        : httpd
Arch        : x86_64
Version     : 2.2.15
Release     : 15.el6.centos.1

CentOS release 6.2 (Final)

How reproducible:
Always

Steps to Reproduce:
1. Install moodle
2. Go to  Site administration / Plugins / [[pluginsoverview]]
3. LDAP -> settings
4. fill fileds
5. save
bug
  
Actual results:
Authentication plugin cas not found.

Expected results:
Authentification configured OK (with or without CAS)

Additional info:
The authentification mods are in /var/www/moodle/web/auth
The README specifies that each mod must have a auth.php file
"cas" is the only link in the directory and points to /usr/share/pear which have no auth.php file
removing /var/www/moodle/web/auth/cas allowed me to configure ldap authentification
Comment 1 Gwyn Ciesla 2012-05-10 10:59:52 EDT
I fixed the CAS for Fedora, but forgot EL6.  Try this scratch build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4068148  

If it works I'll update.
Comment 2 Ludwin Janvier 2012-05-14 07:54:41 EDT
It is working for me. The CAS authentification module may not work (I can't test that). At least I can use the LDAP module with this version.
Comment 3 Gwyn Ciesla 2012-05-14 10:36:53 EDT
Thanks, I'll get this out.
Comment 4 Fedora Update System 2012-05-14 10:51:39 EDT
moodle-2.1.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/moodle-2.1.5-3.el6
Comment 5 Fedora Update System 2012-05-14 22:11:03 EDT
Package moodle-2.1.5-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing moodle-2.1.5-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5877/moodle-2.1.5-3.el6
then log in and leave karma (feedback).
Comment 6 Andrew Niemantsverdriet 2013-04-08 16:01:18 EDT
This issue still exists in moodle-2.1.10-1 in el6
Comment 7 Aldo Necci 2013-10-25 04:54:06 EDT
This issue still exists in moodle-2.4.6-1 in EL6 from epel6
Comment 8 André Felício 2013-11-13 15:54:32 EST
(In reply to Aldo Necci from comment #7)
> This issue still exists in moodle-2.4.6-1 in EL6 from epel6


Confirmed!

I have the same problem here.
Comment 9 albert 2013-11-18 02:41:47 EST
This issue still exists in moodle-2.4.7-1 in EL6 from epel6
Comment 10 albert 2014-01-23 04:50:45 EST
This issue still exists in moodle-2.4.8-1 in EL6 from epel6
Comment 11 Aldo Necci 2014-02-12 11:06:02 EST
(In reply to albert from comment #10)
> This issue still exists in moodle-2.4.8-1 in EL6 from epel6

Confirmed this issue on this new release by EPEL!
Comment 12 albert 2014-03-20 07:19:12 EDT
This issue still exists in moodle-2.4.9-1 in EL6 from epel6
Comment 13 albert 2014-05-21 08:55:06 EDT
This issue still exists in moodle-2.4.10-1 in EL6 from epel6
Comment 14 albert 2014-07-22 03:06:00 EDT
This issue still exists in moodle-2.4.11-1 in EL6 from epel6
Comment 15 albert 2014-09-15 04:38:01 EDT
This issue still exists in moodle-2.5.8-1.el6.noarch.rpm from epel6
Comment 16 albert 2015-02-06 03:32:02 EST
This issue still exists in moodle-2.6.8-1.el6.noarch.rpm from epel6
Comment 17 Gwyn Ciesla 2016-04-06 10:27:06 EDT
*** Bug 1023365 has been marked as a duplicate of this bug. ***
Comment 18 Fedora Update System 2016-04-06 10:59:14 EDT
moodle-2.6.11-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf8884a839
Comment 19 Fedora Update System 2016-04-07 16:20:55 EDT
moodle-2.6.11-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-bf8884a839
Comment 20 Fedora Update System 2016-04-24 05:55:25 EDT
moodle-2.6.11-3.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Aldo Necci 2016-06-04 08:45:35 EDT
This issue is also present in the new branch of moodle 3.0.x

Note You need to log in before you can comment on or make changes to this bug.